+++ /dev/null
-<!DOCTYPE html>
-<html lang="en">
- <meta charset="UTF-8">
- <title>Alexander Goussas</title>
- <meta name="viewport" content="width=device-width,initial-scale=1">
- <link rel="stylesheet" href="styles.css">
- <script src=""></script>
- <body>
- <div class="">
- <h1>One of the best Skills I've learned as a Programmer</h1>
- <div>
- <span>Last updated: 19 april 2026</span>
- </div>
- <p>There are many different skills one might invest it when getting into programming.
-There is a plethora of programming languages, each with their unique appeal.
-And within each language ecosystem, a plethora of web frameworks and stuff to learn.</p>
-<p>But for me, one of the greatest investments came from something else altogether:
-learning how to touch type.</p>
-<p>For those of you that don't know, touch typing basically means typing without
-looking at your keyboard. But I include in the definition typing with all your
-fingers.</p>
-<p>Before learning to touch type, I only used both my index fingers. I literally did
-not use any other finger. One day, I decided to change that and started dedicating
-a lot of time to acquiring the ability to touch type.</p>
-<p>There was a free website I used for this, whose name I have since forgotten.
-Something like typingrace of something like that.</p>
-<p>Anywho, today, I can write at ~120 WPM, which is not a crazy speed, but pretty
-respectable, if I may say so myself. Sometimes I just like typing whatever to feel
-the vertigo as my fingers speed through my keyboard.</p>
-<p>Also, this is a transferable skill, so if you can't touch type yet, I encourage you
-to.
-</p>
- </div>
- </body>
-</html>
--- /dev/null
+#!/bin/bash
+
+set -e
+
+POSTS="$(realpath ./posts)"
+EXE='bin/blog-processor/zig-out/bin/blog_processor'
+WORKDIR="$(pwd)"
+REPO='aloussase69/site'
+TAG="$(git describe --tags)"
+IMAGE="$REPO:$TAG"
+
+echo '[INFO] Building blog processor'
+cd bin/blog-processor && zig build && cd "$WORKDIR"
+
+if [ ! -f "$EXE" ]; then
+ echo '[ERROR] Could not locate blog processor'
+ exit 1
+fi
+
+echo '[INFO] Processing blog'
+"$EXE" "$POSTS"
+
+if [ $? -ne 0 ]; then
+ echo '[ERROR] Failed to build posts'
+ exit 1
+fi
+
+echo "[INFO] Building docker image $IMAGE"
+docker build -t "$IMAGE" --push .
+
+echo "[INFO] Aliasing $IMAGE to $REPO:latest"
+docker tag "$IMAGE" "$REPO:latest"
+docker push "$REPO:latest"
+
+exit 0